// This file is generated by kconfig_compiler_kf5 from mboxresource.kcfg.
// All changes you do to this file will be lost.
#ifndef SETTINGS_H
#define SETTINGS_H

#include <qglobal.h>
#include <kconfigskeleton.h>
#include <QCoreApplication>
#include <QDebug>

class Settings : public KConfigSkeleton
{
  public:
    enum EnumLockfileMethod { procmail, mutt_dotlock, mutt_dotlock_privileged, none };
    enum EnumCompactFrequency { never, per_x_messages };

    Settings( KSharedConfig::Ptr config = KSharedConfig::openConfig() );
    ~Settings() override;

    /**
      Set Path to mbox file.
    */
    void setPath( const QString & v )
    {
      if (!isPathImmutable())
        mPath = v;
    }

    /**
      Get Path to mbox file.
    */
    QString path() const
    {
      return mPath;
    }

    /**
      Is Path to mbox file. Immutable
    */
    bool isPathImmutable() const
    {
      return isImmutable( QStringLiteral( "Path" ) );
    }

    /**
      Get Item object corresponding to Path()
    */
    ItemPath *pathItem()
    {
      return mPathItem;
    }

    /**
      Set Display name.
    */
    void setDisplayName( const QString & v )
    {
      if (!isDisplayNameImmutable())
        mDisplayName = v;
    }

    /**
      Get Display name.
    */
    QString displayName() const
    {
      return mDisplayName;
    }

    /**
      Is Display name. Immutable
    */
    bool isDisplayNameImmutable() const
    {
      return isImmutable( QStringLiteral( "DisplayName" ) );
    }

    /**
      Get Item object corresponding to DisplayName()
    */
    ItemString *displayNameItem()
    {
      return mDisplayNameItem;
    }

    /**
      Set Do not change the actual backend data.
    */
    void setReadOnly( bool v )
    {
      if (!isReadOnlyImmutable())
        mReadOnly = v;
    }

    /**
      Get Do not change the actual backend data.
    */
    bool readOnly() const
    {
      return mReadOnly;
    }

    /**
      Is Do not change the actual backend data. Immutable
    */
    bool isReadOnlyImmutable() const
    {
      return isImmutable( QStringLiteral( "ReadOnly" ) );
    }

    /**
      Get Item object corresponding to ReadOnly()
    */
    ItemBool *readOnlyItem()
    {
      return mReadOnlyItem;
    }

    /**
      Set Monitor file for changes.
    */
    void setMonitorFile( bool v )
    {
      if (!isMonitorFileImmutable())
        mMonitorFile = v;
    }

    /**
      Get Monitor file for changes.
    */
    bool monitorFile() const
    {
      return mMonitorFile;
    }

    /**
      Is Monitor file for changes. Immutable
    */
    bool isMonitorFileImmutable() const
    {
      return isImmutable( QStringLiteral( "MonitorFile" ) );
    }

    /**
      Get Item object corresponding to MonitorFile()
    */
    ItemBool *monitorFileItem()
    {
      return mMonitorFileItem;
    }

    /**
      Set LockfileMethod
    */
    void setLockfileMethod( int v )
    {
      if (!isLockfileMethodImmutable())
        mLockfileMethod = v;
    }

    /**
      Get LockfileMethod
    */
    int lockfileMethod() const
    {
      return mLockfileMethod;
    }

    /**
      Is LockfileMethod Immutable
    */
    bool isLockfileMethodImmutable() const
    {
      return isImmutable( QStringLiteral( "LockfileMethod" ) );
    }

    /**
      Get Item object corresponding to LockfileMethod()
    */
    ItemEnum *lockfileMethodItem()
    {
      return mLockfileMethodItem;
    }

    /**
      Set Lockfile
    */
    void setLockfile( const QString & v )
    {
      if (!isLockfileImmutable())
        mLockfile = v;
    }

    /**
      Get Lockfile
    */
    QString lockfile() const
    {
      return mLockfile;
    }

    /**
      Is Lockfile Immutable
    */
    bool isLockfileImmutable() const
    {
      return isImmutable( QStringLiteral( "Lockfile" ) );
    }

    /**
      Get Item object corresponding to Lockfile()
    */
    ItemString *lockfileItem()
    {
      return mLockfileItem;
    }

    /**
      Set CompactFrequency
    */
    void setCompactFrequency( int v )
    {
      if (!isCompactFrequencyImmutable())
        mCompactFrequency = v;
    }

    /**
      Get CompactFrequency
    */
    int compactFrequency() const
    {
      return mCompactFrequency;
    }

    /**
      Is CompactFrequency Immutable
    */
    bool isCompactFrequencyImmutable() const
    {
      return isImmutable( QStringLiteral( "CompactFrequency" ) );
    }

    /**
      Get Item object corresponding to CompactFrequency()
    */
    ItemEnum *compactFrequencyItem()
    {
      return mCompactFrequencyItem;
    }

    /**
      Set Number of deleted messages before a purge is started.
    */
    void setMessageCount( uint v )
    {
      if (!isMessageCountImmutable())
        mMessageCount = v;
    }

    /**
      Get Number of deleted messages before a purge is started.
    */
    uint messageCount() const
    {
      return mMessageCount;
    }

    /**
      Is Number of deleted messages before a purge is started. Immutable
    */
    bool isMessageCountImmutable() const
    {
      return isImmutable( QStringLiteral( "MessageCount" ) );
    }

    /**
      Get Item object corresponding to MessageCount()
    */
    ItemUInt *messageCountItem()
    {
      return mMessageCountItem;
    }

  protected:

    // General
    QString mPath;
    QString mDisplayName;
    bool mReadOnly;
    bool mMonitorFile;

    // Locking
    int mLockfileMethod;
    QString mLockfile;

    // Compacting
    int mCompactFrequency;
    uint mMessageCount;

  private:
    ItemPath *mPathItem;
    ItemString *mDisplayNameItem;
    ItemBool *mReadOnlyItem;
    ItemBool *mMonitorFileItem;
    ItemEnum *mLockfileMethodItem;
    ItemString *mLockfileItem;
    ItemEnum *mCompactFrequencyItem;
    ItemUInt *mMessageCountItem;
};

#endif

